import { config, networkUtils } from '../../utils';

const { request } = networkUtils;
const { api } = config;
const { deploy } = api;
const { suppAccount, syncAccount } = deploy;

export async function querySuppAccount(params) {
  return request({
    url: suppAccount,
    method: 'get',
    data: params,
  });
}

export async function syncSuppAccountOne(id) {
  return request({
    url: `${syncAccount}/${id}`,
    method: 'get',
  });
}

export async function syncSuppAccount() {
  return request({
    url: syncAccount,
    method: 'get',
  });
}

export async function syncPerformance() {
  return request({
    url: '/api/plan/test/performanceTask',
    method: 'get',
  });
}
